Subject: bug#42452: 27.0.91; hollow box cursor sometimes leaves artifacts

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 May 2021 13:26:35 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Radon Rosborough <[email-masked]>,  [email-masked]
> Date: Thu, 13 May 2021 11:44:23 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Since this happens for unknown reasons, most probably some misfeature
> > of the X server, the change to use an explicit line thickness is a
> > debugging device.  As such, it shouldn't be the default; instead,
> > let's have a Lisp variable that gives the thickness, by default zero,
> > and let users affected by this issue set the variable to whatever
> > value that fixes the problem.
> 
> The patch fixes an issue under some X implementations, and doesn't seem
> to have any negative effects (that I can see), so I've applied Rodon's
> patch.
> 
> Allowing users to control the width of the lines sounds like a nice
> feature, but I don't think anybody's requested it, so I'm not sure
> holding up fixing this bug warrants waiting for that to be implemented.
> 
> It's easy enough to implement in xterm.c, but (for instance) the Windows
> implementation uses FrameRect, which doesn't allow specifying the line
> thickness?  I'd rather not have a feature divergence here.

The problem is only on X, so the variable should be X-specific.  It is
not unheard of to have such debugging-related variables be
system-specific.